import request from '@/utils/request'

// 查询商品信息采集记录值列表
export function listFsStoreProductUserRecordValue(query) {
  return request({
    url: '/FsStoreProductUserRecordValue/FsStoreProductUserRecordValue/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息采集记录值详细
export function getFsStoreProductUserRecordValue(id) {
  return request({
    url: '/FsStoreProductUserRecordValue/FsStoreProductUserRecordValue/' + id,
    method: 'get'
  })
}

// 新增商品信息采集记录值
export function addFsStoreProductUserRecordValue(data) {
  return request({
    url: '/FsStoreProductUserRecordValue/FsStoreProductUserRecordValue',
    method: 'post',
    data: data
  })
}

// 修改商品信息采集记录值
export function updateFsStoreProductUserRecordValue(data) {
  return request({
    url: '/FsStoreProductUserRecordValue/FsStoreProductUserRecordValue',
    method: 'put',
    data: data
  })
}

// 删除商品信息采集记录值
export function delFsStoreProductUserRecordValue(id) {
  return request({
    url: '/FsStoreProductUserRecordValue/FsStoreProductUserRecordValue/' + id,
    method: 'delete'
  })
}

// 导出商品信息采集记录值
export function exportFsStoreProductUserRecordValue(query) {
  return request({
    url: '/FsStoreProductUserRecordValue/FsStoreProductUserRecordValue/export',
    method: 'get',
    params: query
  })
}